Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #981

ESC dosn't correctly return to playing track when using SHIFT
April 25, 2020 22:47 - Dale Powell

Status: Closed Start date: April 25, 2020
Priority: Minor Due date:

Assignee: % Done: 100%
Category: plugins/qtui Estimated time: 0.00 hour
Target version: 4.0.3

Affects version: 4.0.2

Description

Steps to recreate issue:

Have a playing running.

Click on a track other than currently playing track to change highlighted track.

Hit ESC key to return highlight/cursor to currently playing track

Hold SHIFT and then a navigation key of you choice (Up/Down,Pg Up/Down, Home/End)

What happens:
Selected tracks start from previously clicked on item

What should happen:
Selection should be from the currently playing track you've just given focus with the ESC key.

This only seems to effect making selections with SHIFT.

History

#1 - April 26, 2020 07:36 - John Lindgren

Thanks for the detailed report! This turned out to be a real pain to fix, due to just how complex list selections are in Qt.

Anyway, please test:
https://github.com/audacious-media-player/audacious-plugins/commit/2e18b7e7a7bba476fe5982de068a0c0974da0ch3

#2 - April 26, 2020 07:36 - John Lindgren
- % Done changed from 0 to 100

- Target version set to 4.0.3

- Status changed from New to Closed

- Category set to plugins/qtui

May 03, 2025

1/1



https://github.com/audacious-media-player/audacious-plugins/commit/2e18b7e7a7bba476fe5982de068a0c0974da0cb3
http://www.tcpdf.org

